Package org.eclipse.net4j.util.properties

## Class Properties<RECEIVER>

- java.lang.Object
- - org.eclipse.net4j.util.properties.Properties<RECEIVER>

- All Implemented Interfaces:
    `IProperties<RECEIVER>`, `IPropertyProvider<RECEIVER>`

      public class Properties<RECEIVER>
      extends java.lang.Object
      implements IProperties<RECEIVER>

  Contains a list of `properties`.
  Since:
    3.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Properties​(java.lang.Class<RECEIVER> receiverType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(Property<RECEIVER> property)` |
    `java.util.List<Property<RECEIVER>>` | `getProperties()` |
    `Property<RECEIVER>` | `getProperty​(java.lang.String name)` |
    `java.lang.Class<RECEIVER>` | `getReceiverType()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Properties

          public Properties​(java.lang.Class<RECEIVER> receiverType)

  - ### Method Detail

    - #### getReceiverType

          public final java.lang.Class<RECEIVER> getReceiverType()

      Specified by:
        `getReceiverType` in interface `IProperties<RECEIVER>`

    - #### add

          public final void add​(Property<RECEIVER> property)

      Specified by:
        `add` in interface `IProperties<RECEIVER>`

    - #### getProperties

          public final java.util.List<Property<RECEIVER>> getProperties()

      Specified by:
        `getProperties` in interface `IPropertyProvider<RECEIVER>`

    - #### getProperty

          public final Property<RECEIVER> getProperty​(java.lang.String name)

      Specified by:
        `getProperty` in interface `IProperties<RECEIVER>`